eth_createAccessList

This method creates an EIP2930 type accessList based on a given Transaction. The accessList contains all storage slots and addresses read and written by the transaction, except for the sender account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

transaction - The transaction object

Object NameRequiredTypeDetail
fromStringAddress the transaction is sent from.
toStringAddress the transaction is directed to.
gasPriceIntegerA hex code of an integer that represents the price used for each paid gas.
valueIntegerA hex code of an integer that represents the value sent with this transaction.
dataStringHash of the method signature and encoded parameters

blockNumberOrTag - Either the hex value of a block number OR One of the following block tags

Object NameRequiredTypeDetail
blockNumberOrTagStringpending - A sample next block built by the client on top of latest and containing the set of transactions usually taken from local mempool. Intuitively, you can think of these as blocks that have not been mined yet.
latest - The most recent block in the canonical chain observed by the client, this block may be re-orged out of the canonical chain even under healthy/normal conditions.
earliest - The lowest numbered block the client has available. Intuitively, you can think of this as the first block created.
"params": [
        {
            "from": "0x00000000219ab540356cBB839Cbe05303d7705Fa",
            "data": "0x608060806080608155"
        },
        "pending"
    ]

Result

The transaction hash, or the zero hash if the transaction is not yet available.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "method": "eth_createAccessList",
    "params": [
        {
            "from": "0x00000000219ab540356cBB839Cbe05303d7705Fa",
            "data": "0x608060806080608155"
        },
        "pending"
    ],
    "id": 1,
    "jsonrpc": "2.0"
}'

Return

{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "accessList": [
            {
                "address": "0xa86a83d1122ae2a9b5f5080236b08abceb713cbe",
                "storageKeys": [
                    "0x0000000000000000000000000000000000000000000000000000000000000081"
                ]
            }
        ],
        "gasUsed": "0x12e92"
    }
}
Path Params
string
required
Defaults to 653f98181fcf4a2ca8825083b89b55f9
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"eth_getProof","params":["0x5ecddc1ac099074ae965d140a7c62bd71b7fc80a",["0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"],"latest"],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json